Update campaign status
curl --request POST \
--url https://app.autocalls.ai/api/user/campaigns/update-status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"campaign_id": 123,
"action": "<string>"
}
'import requests
url = "https://app.autocalls.ai/api/user/campaigns/update-status"
payload = {
"campaign_id": 123,
"action": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({campaign_id: 123, action: '<string>'})
};
fetch('https://app.autocalls.ai/api/user/campaigns/update-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": true,
"data": {
"campaign_id": 123,
"status": "<string>",
"channel": "<string>"
}
}Campaigns
Update campaign status
Start or stop a call, WhatsApp, or SMS campaign
POST
/
user
/
campaigns
/
update-status
Update campaign status
Start or stop a campaign you own. Starting validates channel config (assistant / WhatsApp template / SMS number), schedule, and balance. Disabled channels (for example SMS when temporarily unavailable) cannot be started.
Request body
integer
required
The ID of the campaign to update
string
required
start or stopResponse
string
default:"Campaign started successfully."
Human-readable outcome
boolean
default:"true"
Whether the operation succeeded
⌘I

